-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseRelation

Declaration :

- C++ : class UmlBaseRelation : public UmlClassMember
- Java : abstract class UmlBaseRelation extends UmlClassMember

Directly inherited by : UmlRelation

Manage the relations between classes

Artifact : UmlBaseRelation

Operation create

Declaration :

- C++ : public: static UmlRelation * create(aRelationKind kind, UmlClass * start, UmlClass * end)
- Java : public static UmlRelation create(aRelationKind kind, UmlClass start, UmlClass end) throws RuntimeException

returns a new relation of the given 'kind' from 'start' to 'end' In case it cannot be created (the name is already used or invalid, 'parent' cannot contain it etc ...) return 0 in C++ and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation relationKind

Declaration :

- C++ : public: aRelationKind relationKind()
- Java : public aRelationKind relationKind()

returns the kind of the relation

Operation isReadOnly

Declaration :

- C++ : public: bool isReadOnly()
- Java : public boolean isReadOnly()

indicates if the relation is read only, returns TRUE if yes

Operation set_isReadOnly

Declaration :

- C++ : public: bool set_isReadOnly(bool y)
- Java : public void set_isReadOnly(boolean y) throws RuntimeException

to set the 'read only' state of the relation On error return FALSE in C++, produce a RuntimeException in Java

Operation defaultValue

Declaration :

- C++ : public: const QCString & defaultValue()
- Java : public String defaultValue()

returns the default relation value, may be an empty string

Operation set_DefaultValue

Declaration :

- C++ : public: bool set_DefaultValue(const char * s)
- Java : public void set_DefaultValue(String s) throws RuntimeException

to set the default relation value ("" allowed) On error return FALSE in C++, produce a RuntimeException in Java

Operation set_Stereotype

Declaration :

- C++ : public: virtual bool set_Stereotype(const QCString & s)
- Java : public void set_Stereotype(String s) throws RuntimeException

to set the stereotype On error return FALSE in C++, produce a RuntimeException in Java redefined in case the relation is bidirectional to set the stereotype of the relation corresponding to the other direction

Operation roleType

Declaration :

- C++ : public: UmlClass * roleType()
- Java : public UmlClass roleType()

returns the 'end' class (the 'start' class is the parent of the relation) no set !

Operation roleName

Declaration :

- C++ : public: const QCString & roleName()
- Java : public String roleName()

returns the name of the role

Operation set_RoleName

Declaration :

- C++ : public: bool set_RoleName(const char * s)
- Java : public void set_RoleName(String s) throws RuntimeException

to set the name of the role On error return FALSE in C++, produce a RuntimeException in Java

Operation multiplicity

Declaration :

- C++ : public: const QCString & multiplicity()
- Java : public String multiplicity()

returns the multiplicity (may be an empty string)

Operation set_Multiplicity

Declaration :

- C++ : public: bool set_Multiplicity(const char * s)
- Java : public void set_Multiplicity(String s) throws RuntimeException

to set the multiplicity On error return FALSE in C++, produce a RuntimeException in Java

Operation getOperation

Declaration :

- C++ : public: UmlOperation * getOperation()
- Java : public UmlOperation getOperation()

returns the 'get' operation of the relation, or 0 if it does not exist

Operation addGetOperation

Declaration :

- C++ : public: bool addGetOperation()
- Java : public void addGetOperation() throws RuntimeException

to generate an associated 'get' operation On error return FALSE in C++, produce a RuntimeException in Java

Operation setOperation

Declaration :

- C++ : public: UmlOperation * setOperation()
- Java : public UmlOperation setOperation()

returns the 'set' operation of the relation, or 0 if it does not exist

Operation addSetOperation

Declaration :

- C++ : public: bool addSetOperation()
- Java : public void addSetOperation() throws RuntimeException

to generate an associated 'set' operation On error return FALSE in C++, produce a RuntimeException in Java

Operation cppVirtualInheritance

Declaration :

- C++ : public: bool cppVirtualInheritance()
- Java : public boolean cppVirtualInheritance()

indicates if the inheritance is virtual in C++, returns TRUE if yes

Operation set_CppVirtualInheritance

Declaration :

- C++ : public: bool set_CppVirtualInheritance(bool y)
- Java : public void set_CppVirtualInheritance(boolean y) throws RuntimeException

to set if the inheritance is virtual in C++ On error return FALSE in C++, produce a RuntimeException in Java

Operation isCppMutable

Declaration :

- C++ : public: bool isCppMutable()
- Java : public boolean isCppMutable()

Indicate if the relation is 'mutable'

Operation set_isCppMutable

Declaration :

- C++ : public: bool set_isCppMutable(bool y)
- Java : public void set_isCppMutable(boolean y) throws RuntimeException

Set if the relation is 'mutable' On error return FALSE in C++, produce a RuntimeException in Java

Operation isJavaTransient

Declaration :

- C++ : public: bool isJavaTransient()
- Java : public boolean isJavaTransient()

indicates if the relation is 'transient', returns TRUE if yes

Operation set_isJavaTransient

Declaration :

- C++ : public: bool set_isJavaTransient(bool y)
- Java : public void set_isJavaTransient(boolean y) throws RuntimeException

to set the 'transient' state of the relation On error return FALSE in C++, produce a RuntimeException in Java

Operation isIdlTruncatableInheritance

Declaration :

- C++ : public: bool isIdlTruncatableInheritance()
- Java : public boolean isIdlTruncatableInheritance()

indicates if the relation is 'truncatable', returns TRUE if yes have sense only for a valuetype inheritance

Operation set_isIdlTruncatableInheritance

Declaration :

- C++ : public: bool set_isIdlTruncatableInheritance(bool y)
- Java : public void set_isIdlTruncatableInheritance(boolean y) throws RuntimeException

to set if the inheritance is 'truncatable' On error return FALSE in C++, produce a RuntimeException in Java

Operation idlCase

Declaration :

- C++ : public: QCString idlCase()
- Java : public String idlCase()

in case the relation is an IDL union's member returns the corresponding 'case', an empty string in case it is not specified

Operation set_IdlCase

Declaration :

- C++ : public: bool set_IdlCase(UmlAttribute * a)
- Java : public void set_IdlCase(UmlAttribute a) throws RuntimeException

to set the 'case' even the relation is not (already) known as an IDL union's member On error return FALSE in C++, produce a RuntimeException in Java

Operation set_IdlCase

Declaration :

- C++ : public: bool set_IdlCase(const char * s)
- Java : public void set_IdlCase(String s) throws RuntimeException

to set the 'case' even the relation is not (already) known as an IDL union's member On error return FALSE in C++, produce a RuntimeException in Java

Operation unload

Declaration :

- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

to unload the object to free memory, it will be reloaded automatically if needed. args unused

Attribut _read_only

Declaration :

- C++ : private: bool _read_only
- Java : private boolean _read_only

Attribut _cpp_virtual_inheritance

Declaration :

- C++ : private: bool _cpp_virtual_inheritance : 1
- Java : private boolean _cpp_virtual_inheritance

Attribut _cpp_mutable

Declaration :

- C++ : private: bool _cpp_mutable
- Java : private boolean _cpp_mutable

Attribut _java_transient

Declaration :

- C++ : private: bool _java_transient
- Java : private boolean _java_transient

Attribut _idl_truncatable

Declaration :

- C++ : private: bool _idl_truncatable
- Java : private boolean _idl_truncatable

Relation _rel_kind (<directional aggregation by value>)

Declaration :

- C++ : private: aRelationKind _rel_kind
- Java : private aRelationKind _rel_kind

Attribut _default_value

Declaration :

- C++ : private: QCString _default_value
- Java : private String _default_value

Relation _role_type (<unidirectional association>)

Declaration :

- C++ : private: UmlClass * _role_type
- Java : private UmlClass _role_type

Attribut _role_name

Declaration :

- C++ : private: QCString _role_name
- Java : private String _role_name

Attribut _multiplicity

Declaration :

- C++ : private: QCString _multiplicity
- Java : private String _multiplicity

Relation _get_oper (<unidirectional association>)

Declaration :

- C++ : private: UmlOperation * _get_oper
- Java : private UmlOperation _get_oper

Relation _set_oper (<unidirectional association>)

Declaration :

- C++ : private: UmlOperation * _set_oper
- Java : private UmlOperation _set_oper

Relation _idl_case (<unidirectional association>)

Declaration :

- C++ : private: UmlAttribute * _idl_case
- Java : private UmlAttribute _idl_case

exclusive with idl_explicit_case

Attribut _idl_explicit_case

Declaration :

- C++ : private: QCString _idl_explicit_case
- Java : private String _idl_explicit_case

Operation read_uml_

Declaration :

- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

internal, do NOT use it

Operation read_cpp_

Declaration :

- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

internal, do NOT use it

Operation read_java_

Declaration :

- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

internal, do NOT use it

Operation read_idl_

Declaration :

- C++ : protected: virtual void read_idl_()
- Java : protected void read_idl_()

internal, do NOT use it

Operation UmlBaseRelation

Declaration :

- C++ : protected: UmlBaseRelation(void * id, const QCString & n)
- Java : protected UmlBaseRelation(long id, String n)

the constructor, do not call it yourself !!!!!!!!!!

All public operations :

addGetOperation , addSetOperation , apply , children , childrenVisible , cppDecl , cppVirtualInheritance , cppVisibility , create , defaultValue , defined_ , description , getOperation , identifier_ , idlCase , idlDecl , isClassMember , isCppMutable , isIdlTruncatableInheritance , isJavaTransient , isMarked , isReadOnly , isToolRunning , isVolatile , isWritable , javaDecl , kind , kind , markedItems , moveAfter , multiplicity , name , parent , properties , propertyValue , referencedBy , relationKind , roleName , roleType , set_childrenVisible , set_CppDecl , set_CppVirtualInheritance , set_CppVisibility , set_DefaultValue , set_Description , set_IdlCase , set_IdlCase , set_IdlDecl , set_isClassMember , set_isCppMutable , set_isIdlTruncatableInheritance , set_isJavaTransient , set_isMarked , set_isReadOnly , set_isVolatile , set_JavaDecl , set_Multiplicity , set_Name , set_PropertyValue , set_RoleName , set_Stereotype , set_Stereotype , set_Visibility , setOperation , stereotype , supportFile , unload , unload , unload , visibility